package com.ibm.websphere.sip;

import javax.servlet.sip.SipSession;
import javax.servlet.sip.URI;



/**
 * An extension of the SipSession interface. 
 * SipSession has related SipSession when a request which initiated that
 * session contains a "Join" or "Replace" header. In this case, it is useful for  
 * the application to be able to access the SipSession which is mentioned in those "Join" 
 * or "Replace" headers (the related SipSession).
 * 
 * @author Anat Fradin
 * @ibm-api
 */
public interface IBMSipSession extends SipSession {
	
	/**
	 * @return related SipSession, or null when no related sessions exist
	 */
	public SipSession getRelatedSipSession();
}
